%global dlrn_nvr ansible-role-tripleo-modify-image-1.1.1.dev33-0.20200302230738.bb6f78d
%global dlrn 1
%define upstream_version 1.1.1.dev33
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility
%global srcname ansible_role_tripleo_modify_image
%global rolename ansible-role-tripleo-modify-image

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           %{rolename}
Version: 1.1.1
Release: 0.20200302230738.bb6f78d%{?dist}
Summary:        Ansible role to allow modification to container images built for the TripleO project.

Group:          System Environment/Base
License:        ASL 2.0
URL:            https://git.openstack.org/cgit/openstack/ansible-role-tripleo-modify-image
Source0: ansible-role-tripleo-modify-image-1.1.1.dev33-0.20200302230738.bb6f78d.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=bb6f78deca04e23cdf42c7be78af8d099f24a41a

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-pbr

# Handle python2 exception
%if %{pyver} == 2 || 0%{?rhel} > 7
Requires:       ansible
%else
Requires:       ansible-python3
%endif


Requires: buildah

%description

Ansible role to allow modification to container images built for the TripleO project.

%prep
%autosetup -n %{rolename}-%{upstream_version} -S git


%build
%{pyver_build}


%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%{pyver_install}


%files
%doc README*
%license LICENSE
%{pyver_sitelib}/%{srcname}-*.egg-info
%{_datadir}/ansible/roles/


%changelog
* Mon Mar 02 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches

* Tue Feb 04 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches
- Add double quotes around the printf statements in yum_update.sh

* Wed Jan 29 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches
- Ensure the yum cache has at most one writer

* Thu Jan 23 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches
- Force docker format

* Wed Jan 22 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Force docker format (rhbz#1793960)


